Ubuntu

buffer overflows in comedi drivers

Reported by Bernd Porr on 2012-04-13
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Leann Ogasawara
Precise
Medium
Leann Ogasawara

Bug Description

== Precise SRU Justification ==
The default and max buffer size are set to inappropriate values for the
comedi staging driver. This results in program crashes. Patches have
been submitted upstream to resolve this issue and are currently
available in:

git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging.git staging-next

I have also received confirmation from the bug reporter and patch author
that they intend to submit these to upstream stable as well.

The changes are limited to a single staging driver which should minimize
the risk of regression. I have also received positive test confirmation
from the bug reporter that the patches noted below resolve the issue.

== Fix ==
commit 4d7df821 from staging-next needed very minor fixing up when
cherry-picking. commit 234bb3c6 from staging-next cherry-picked
cleanly. The last commit updates the configs:

commit 4d7df821277e82ebe2fc9c9af07c928a83f572b8
Author: Ian Abbott <email address hidden>
Date: Fri Apr 13 14:12:53 2012 +0100

    staging: comedi: Add module parameters for default buffer size

commit 234bb3c60f1f1489630750aba4adf40154e0bd70
Author: Ian Abbott <email address hidden>
Date: Fri Apr 13 14:12:54 2012 +0100

    staging: comedi: Add kernel config for default buffer sizes

commit 96dddbbb8a9071cd1921575f864a5441fd7662a7
Author: Leann Ogasawara <email address hidden>
Date: Fri Apr 13 20:40:29 2012 -0700

    UBUNTU: [Config] Set CONFIG_COMEDI_DEFAULT_BUF_[SIZE_KB,MAXSIZE_KB]

I've also pushed these to a branch if you'd prefer to pull from there:

The following changes since commit 4767f8d1efe2d8bc94cf6d6937c0a0d5328e6e08:

  Linux 3.2.15 (2012-04-14 06:50:30 -0600)

are available in the git repository at:

  git://kernel.ubuntu.com/ogasawara/ubuntu-precise lp981234

for you to fetch changes up to 2bf208c4572e3ac2e7c364c4a26d4ecfd15e0412:

  UBUNTU: [Config] Set CONFIG_COMEDI_DEFAULT_BUF_[SIZE_KB,MAXSIZE_KB] (2012-04-14 13:05:43 -0700)

----------------------------------------------------------------
Ian Abbott (2):
      UBUNTU: SAUCE: staging: comedi: Add module parameters for default buffer size
      UBUNTU: SAUCE: staging: comedi: Add kernel config for default buffer sizes

Leann Ogasawara (1):
      UBUNTU: [Config] Set CONFIG_COMEDI_DEFAULT_BUF_[SIZE_KB,MAXSIZE_KB]

 debian.master/config/config.common.ubuntu | 2 ++
 drivers/staging/comedi/Kconfig | 20 ++++++++++++++++++++
 drivers/staging/comedi/comedi_fops.c | 27 ++++++++++++++++++++++++---
 drivers/staging/comedi/drivers.c | 15 +++++++++------
 drivers/staging/comedi/internal.h | 5 ++++-
 5 files changed, 59 insertions(+), 10 deletions(-)

== Original Bug Description ==
There asynchronous buffer for the COMEDI drivers is only 65k and is hard coded in the kernel. With slower computers and slow userspace programs there is virtually always a buffer overflow which makes it impossible to run these programs, especially with DAQ cards which have a high resolution or those with high sampling rate.
I'm attaching a patch which has been submitted and accepted upstream. Below the confirmation e-mail from Gregkh:

Return-Path: <email address hidden>
Delivered-To: <email address hidden>
Envelope-To: <email address hidden>
Received: (qmail 39856 invoked from network); 13 Apr 2012 18:20:21 -0000
Received: from as001.apm-internet.net (85.119.248.19)
  by mail003.apm-internet.net with SMTP; 13 Apr 2012 18:20:21 -0000
Received: (qmail 73709 invoked from network); 13 Apr 2012 18:20:20 -0000
X-Spam-Checker-Version: SpamAssassin 3.3.0 (2010-01-18) on
 as001.apm-internet.net
X-Spam-Score: -0.1
X-Spam-Report:
 * -0.1 SPF_PASS SPF database pass
X-Spam-Relay-Country: GB GB US US
Received: from av002.apm-internet.net (85.119.248.59)
  by as001.apm-internet.net with SMTP; 13 Apr 2012 18:20:20 -0000
Received: (qmail 98427 invoked from network); 13 Apr 2012 18:20:20 -0000
X-AV-Scan: clean
Received: from relay004.apm-internet.net (85.119.248.7)
  by av002.apm-internet.net with SMTP; 13 Apr 2012 18:20:20 -0000
Received: (qmail 73444 invoked from network); 13 Apr 2012 18:20:19 -0000
Received: from mail-pb0-f41.google.com (209.85.160.41)
  by relay004.apm-internet.net with ESMTPS (RC4-SHA encrypted); 13 Apr 2012 18:20:20 -0000
X-APM-IP: 209.85.160.41
X-APM-Score: -2
Received-SPF: pass (relay004.apm-internet.net: SPF record at _spf.google.com designates 209.85.160.41 as permitted sender)
Received: by pbcup15 with SMTP id up15so3700835pbc.28
        for <email address hidden>; Fri, 13 Apr 2012 11:20:17 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=google.com; s=20120113;
        h=subject:to:from:date:message-id:mime-version:content-type
         :content-transfer-encoding:x-gm-message-state;
        bh=F0mM6Wrc1iIO+RcwOJc25lkJE4nAd4Fgxj+5MCNNxDU=;
        b=SeejiQ22iVQnt8WizuUPzUg9VqmG1DLqH6nB5r3Xcc90PcIxRvsAjMs9/bykNbv1ol
         lM4/AfL+un7p/R5P1Yv5GcRg8YWaocDMcsFyrTWaMx3BPonEkXK4WT1Lhw+IBiydEIpo
         3DLcTivSmAep8yiqfMx4zB+jn4jRyKwNLL5hfYi//YOLAMjKpLFqmMP6G5Dlc/Kp9PTf
         s27/qyU/uX6wk6PHs4tjmvmX+pV5zcQa77U1CDSoCtj90qJsIwtrODVsqPvh9ZqBD6Mv
         OR/bRYcKKlMGYYmtnMVs3sp+znE0ZCkXnhlPIVZqy7+rV5K3IpQP14tRgdIZdS8u4FNK
         VqJw==
Received: by 10.68.132.36 with SMTP id or4mr6543286pbb.115.1334341217157;
        Fri, 13 Apr 2012 11:20:17 -0700 (PDT)
Return-Path: <email address hidden>
Received: from localhost (c-67-168-183-230.hsd1.wa.comcast.net. [67.168.183.230])
        by mx.google.com with ESMTPS id vh10sm9365834pbc.29.2012.04.13.11.20.15
        (version=TLSv1/SSLv3 cipher=OTHER);
        Fri, 13 Apr 2012 11:20:16 -0700 (PDT)
Subject: patch "staging: comedi: Add kernel config for default buffer sizes" added to staging tree
To: <email address hidden>,<email address hidden>,<email address hidden>
From: <email address hidden>
Date: Fri, 13 Apr 2012 11:20:08 -0700
Message-ID: <email address hidden>
MIME-Version: 1.0
Content-Type: text/plain; charset=ASCII
Content-Transfer-Encoding: 8bit
X-Gm-Message-State: ALoCoQlEvqUZ2Xtd66ofDeuWg5qV6v8uW82oXq3rGRQDbKuADvj2uoIK3rhnUuQ/d7ByKS81LT8s

This is a note to let you know that I've just added the patch titled

    staging: comedi: Add kernel config for default buffer sizes

to my staging git tree which can be found at
    git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging.git
in the staging-next branch.

The patch will show up in the next release of the linux-next tree
(usually sometime within the next 24 hours during the week.)

The patch will also will be merged in the next major kernel release
during the merge window.

If you have any questions about this process, please let me know.

From 234bb3c60f1f1489630750aba4adf40154e0bd70 Mon Sep 17 00:00:00 2001
From: Ian Abbott <email address hidden>
Date: Fri, 13 Apr 2012 14:12:54 +0100
Subject: staging: comedi: Add kernel config for default buffer sizes

Allow the default values for the module parameters for the default
initial buffer size and default maximum buffer size to be specified in
the kernel configuration.

I'm not sure what the defaults for the defaults for the defaults should
be, but 64 KiB seems to small, so I used values suggested by Bernd Porr,
which are 2048 KiB for the default initial buffer size and 20480 for the
default maximum buffer size.

Signed-off-by: Ian Abbott <email address hidden>
Cc: Bernd Porr <email address hidden>
Signed-off-by: Greg Kroah-Hartman <email address hidden>
---
 drivers/staging/comedi/Kconfig | 20 ++++++++++++++++++++
 drivers/staging/comedi/comedi_fops.c | 12 +++++-------
 2 files changed, 25 insertions(+), 7 deletions(-)

diff --git a/drivers/staging/comedi/Kconfig b/drivers/staging/comedi/Kconfig
index 9037d02..a1cf0b0 100644
--- a/drivers/staging/comedi/Kconfig
+++ b/drivers/staging/comedi/Kconfig
@@ -14,6 +14,26 @@ config COMEDI_DEBUG
    This is an option for use by developers; most people should
    say N here. This enables comedi core and driver debugging.

+config COMEDI_DEFAULT_BUF_SIZE_KB
+ int "Comedi default initial asynchronous buffer size in KiB"
+ default "2048"
+ depends on COMEDI != n
+ ---help---
+ This is the default asynchronous buffer size which is used for
+ commands running in the background in kernel space. This
+ defaults to 2048 KiB of memory so that a 16 channel card
+ running at 10 kHz has of 2-4 seconds of buffer.
+
+config COMEDI_DEFAULT_BUF_MAXSIZE_KB
+ int "Comedi default maximum asynchronous buffer size in KiB"
+ default "20480"
+ depends on COMEDI != n
+ ---help---
+ This is the default maximum asynchronous buffer size which can
+ be requested by a userspace program without root privileges.
+ This is set to 20480 KiB so that a fast I/O card with 16
+ channels running at 100 kHz has 2-4 seconds of buffer.
+
 menuconfig COMEDI_MISC_DRIVERS
  tristate "Comedi misc drivers"
  depends on COMEDI
diff --git a/drivers/staging/comedi/comedi_fops.c b/drivers/staging/comedi/comedi_fops.c
index ef7bbe4..3222ac6 100644
--- a/drivers/staging/comedi/comedi_fops.c
+++ b/drivers/staging/comedi/comedi_fops.c
@@ -55,9 +55,6 @@ MODULE_AUTHOR("http://www.comedi.org");
 MODULE_DESCRIPTION("Comedi core module");
 MODULE_LICENSE("GPL");

-#define DEFAULT_BUF_MAXSIZE_KB 64
-#define DEFAULT_BUF_SIZE_KB 64
-
 #ifdef CONFIG_COMEDI_DEBUG
 int comedi_debug;
 EXPORT_SYMBOL(comedi_debug);
@@ -78,17 +75,18 @@ MODULE_PARM_DESC(comedi_num_legacy_minors,
    "number of comedi minor devices to reserve for non-auto-configured devices (default 0)"
   );

-unsigned int comedi_default_buf_size_kb = DEFAULT_BUF_SIZE_KB;
+unsigned int comedi_default_buf_size_kb = CONFIG_COMEDI_DEFAULT_BUF_SIZE_KB;
 module_param(comedi_default_buf_size_kb, uint, S_IRUGO | S_IWUSR);
 MODULE_PARM_DESC(comedi_default_buf_size_kb,
    "default asynchronous buffer size in KiB (default "
- __MODULE_STRING(DEFAULT_BUF_SIZE_KB) ")");
+ __MODULE_STRING(CONFIG_COMEDI_DEFAULT_BUF_SIZE_KB) ")");

-unsigned int comedi_default_buf_maxsize_kb = DEFAULT_BUF_MAXSIZE_KB;
+unsigned int comedi_default_buf_maxsize_kb
+ = CONFIG_COMEDI_DEFAULT_BUF_MAXSIZE_KB;
 module_param(comedi_default_buf_maxsize_kb, uint, S_IRUGO | S_IWUSR);
 MODULE_PARM_DESC(comedi_default_buf_maxsize_kb,
    "default maximum size of asynchronous buffer in KiB (default "
- __MODULE_STRING(DEFAULT_BUF_MAXSIZE_KB) ")");
+ __MODULE_STRING(CONFIG_COMEDI_DEFAULT_BUF_MAXSIZE_KB) ")");

 static DEFINE_SPINLOCK(comedi_file_info_table_lock);
 static struct comedi_device_file_info
--
1.7.10

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14
Uname: Linux 3.2.0-23-generic-pae i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu2
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: bp1 1761 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfdff8000 irq 45'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,1019e619,00100001'
   Controls : 44
   Simple ctrls : 21
Date: Fri Apr 13 23:32:26 2012
HibernationDevice: RESUME=UUID=b6911a72-ca8c-451f-980b-5f16df4e94f3
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20120201.2)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: Acer AcerPower FH
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=2a22481e-fd0f-4a5b-adb8-18566a6f8d65 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic-pae N/A
 linux-backports-modules-3.2.0-23-generic-pae N/A
 linux-firmware 1.79
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
UserAsoundrc:
 pcm.fileout {
    type empty
    slave.pcm "tee:default,'/tmp/out.raw',raw"
    # 48000 S16_LE 2ch (aplay -t raw -f dat)
 }
dmi.bios.date: 03/03/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: R01-B4
dmi.board.name: E946GZ
dmi.board.vendor: Acer
dmi.chassis.type: 3
dmi.chassis.vendor: Broadwater
dmi.chassis.version: 946GZT-AM
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrR01-B4:bd03/03/2007:svnAcer:pnAcerPowerFH:pvrR01-B4:rvnAcer:rnE946GZ:rvr:cvnBroadwater:ct3:cvr946GZT-AM:
dmi.product.name: AcerPower FH
dmi.product.version: R01-B4
dmi.sys.vendor: Acer

Bernd Porr (berndporr) wrote :
Brad Figg (brad-figg) on 2012-04-13
Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: patch

Hi Bernd,

I've cherry-picked the patches Ian noted above and built a Precise test kernel. Could you please give it a try and let me know your results as soon as possible. I can then submit this for SRU for Precise. I would note that we are past Final Freeze for Precise so I can't guarantee this would be applied before final release (April 26), but I can guarantee it will at least be in the first Precise kernel stable update (eg 2-3 weeks after final release). However, should we need to upload the another kernel between now and final release, we would likely be able to squeeze this fix in (assuming I can get a quick test confirmation from you and get this sent to the list for review asap). Thanks in advance.

http://people.canonical.com/~ogasawara/lp981234/i386/

Changed in linux (Ubuntu):
assignee: nobody → Leann Ogasawara (leannogasawara)
importance: Undecided → Medium
status: Confirmed → In Progress

The attachment "upstream patch for linux-next kernel" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

Bernd Porr (berndporr) wrote :

bp1@ubuntutest:~/c/comedirecord-1.2$ uname -a
Linux ubuntutest 3.2.0-23-generic-pae #37~lp981234v1 SMP Sat Apr 14 03:45:23 UTC 2012 i686 i686 i386 GNU/Linux
bp1@ubuntutest:~/c/comedirecord-1.2$

I've tested it with comedirecord and it works both the limit to 20M and also it becomes already nicely stable with the default setting of 2M.

  fprintf(stderr,"/dev/comedi%d has a buffer of %d\n",devNo,
   comedi_get_buffer_size(dev[devNo],subdevice));
  comedi_set_buffer_size(dev[devNo],subdevice,10000000);
  fprintf(stderr,"/dev/comedi%d has a buffer of %d\n",devNo,
   comedi_get_buffer_size(dev[devNo],subdevice));

bp1@ubuntutest:~/c/comedirecord-1.2$ ./comedirecord
/dev/comedi0 has a buffer of 2097152
/dev/comedi0 has a buffer of 2097152
bp1@ubuntutest:~/c/comedirecord-1.2$ make
make: Nothing to be done for `first'.
bp1@ubuntutest:~/c/comedirecord-1.2$ make
g++ -c -pipe -g -Wall -W -D_REENTRANT -DQT_WEBKIT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -o comediscope.o comediscope.cpp
g++ -o comedirecord comedirecord.o comediscope.o iirnotch.o gain.o ext_data_receive.o dc_sub.o moc_comedirecord.o moc_comediscope.o moc_gain.o moc_dc_sub.o -L/usr/lib/i386-linux-gnu -lcomedi -lQtGui -lQtCore -lpthread
{ test -n "" && DESTDIR="" || DESTDIR=.; } && test $(gdb --version | sed -e 's,[^0-9]\+\([0-9]\)\.\([0-9]\).*,\1\2,;q') -gt 72 && gdb --nx --batch --quiet -ex 'set confirm off' -ex "save gdb-index $DESTDIR" -ex quit 'comedirecord' && test -f comedirecord.gdb-index && objcopy --add-section '.gdb_index=comedirecord.gdb-index' --set-section-flags '.gdb_index=readonly' 'comedirecord' 'comedirecord' && rm -f comedirecord.gdb-index || true
bp1@ubuntutest:~/c/comedirecord-1.2$ ./comedirecord
/dev/comedi0 has a buffer of 2097152
/dev/comedi0 has a buffer of 10002432

description: updated

Hello Bernd, or anyone else affected,

Accepted linux into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-24.37

---------------
linux (3.2.0-24.37) precise-proposed; urgency=low

  [ Herton Ronaldo Krzesinski ]

  * d-i: Add hid-logitech-dj to input-modules
    - LP: #975198
  * d-i: Add rtl8187 driver to nic-usb-modules
    - LP: #971719

  [ Ian Abbott ]

  * SAUCE: staging: comedi: Add module parameters for default buffer size
    - LP: #981234
  * SAUCE: staging: comedi: Add kernel config for default buffer sizes
    - LP: #981234

  [ K. Y. Srinivasan ]

  * SAUCE: hv_storvsc: Account for in-transit packets in the RESET path
    - LP: #978394

  [ Leann Ogasawara ]

  * [Config] Set CONFIG_COMEDI_DEFAULT_BUF_[SIZE_KB,MAXSIZE_KB]
    - LP: #981234

  [ Luis Henriques ]

  * SAUCE: ite-cir: postpone ISR registration
    - LP: #984387

  [ Manoj Iyer ]

  * SAUCE: Bluetooth: btusb: Add vendor specific ID (0489 e042) for
    BCM20702A0
    - LP: #980965

  [ Tim Gardner ]

  * Extract firmware module info during getabi
  * [Config] Remove hiq-quanta module references
    - LP: #913164
  * [Config] powerpc-smp: build in ATI and RADEON frame buffer drivers
    - LP: #949288

  [ Trond Myklebust ]

  * SAUCE: NFSv4: Ensure that the LOCK code sets exception->inode
    - LP: #974664
  * SAUCE: NFSv4: Ensure that we check lock exclusive/shared type against
    open modes
    - LP: #974664

  [ Upstream Kernel Changes ]

  * Input: psmouse - allow drivers to use psmouse_{de,}activate
    - LP: #969334
  * Input: psmouse - use psmouse_[de]activate() from sentelic and hgpk
    drivers
    - LP: #969334
  * Input: sentelic - refactor code for upcoming new hardware support
    - LP: #969334
  * Input: sentelic - enabling absolute coordinates output for newer
    hardware
    - LP: #969334
  * Input: sentelic - minor code cleanup
    - LP: #969334
  * Input: sentelic - improve packet debugging information
    - LP: #969334
  * Input: sentelic - filter taps in absolute mode
    - LP: #969334
  * drm/i915: Fixes distorted external screen image on HP 2730p
    - LP: #796030
  * NFSv4: Minor cleanups for nfs4_handle_exception and
    nfs4_async_handle_error
    - LP: #974664
  * NFSv4: Rate limit the state manager for lock reclaim warning messages
    - LP: #974664
  * HID: multitouch: merge quanta driver into hid-multitouch
    - LP: #913164
  * HID: usbhid: add quirk no_get for quanta 3008 devices
    - LP: #913164
 -- Leann Ogasawara <email address hidden> Tue, 24 Apr 2012 07:47:49 -0700

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Bernd Porr (berndporr) wrote :

I've just checked the buffer size and it's now at the right size. All comedi based programs run now smoothly.

Bernd Porr (berndporr) wrote :

thanks for all the hard work of the ubuntu team and congratulations to the new LTS release!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-24.37

---------------
linux (3.2.0-24.37) precise-proposed; urgency=low

  [ Herton Ronaldo Krzesinski ]

  * d-i: Add hid-logitech-dj to input-modules
    - LP: #975198
  * d-i: Add rtl8187 driver to nic-usb-modules
    - LP: #971719

  [ Ian Abbott ]

  * SAUCE: staging: comedi: Add module parameters for default buffer size
    - LP: #981234
  * SAUCE: staging: comedi: Add kernel config for default buffer sizes
    - LP: #981234

  [ K. Y. Srinivasan ]

  * SAUCE: hv_storvsc: Account for in-transit packets in the RESET path
    - LP: #978394

  [ Leann Ogasawara ]

  * [Config] Set CONFIG_COMEDI_DEFAULT_BUF_[SIZE_KB,MAXSIZE_KB]
    - LP: #981234

  [ Luis Henriques ]

  * SAUCE: ite-cir: postpone ISR registration
    - LP: #984387

  [ Manoj Iyer ]

  * SAUCE: Bluetooth: btusb: Add vendor specific ID (0489 e042) for
    BCM20702A0
    - LP: #980965

  [ Tim Gardner ]

  * Extract firmware module info during getabi
  * [Config] Remove hiq-quanta module references
    - LP: #913164
  * [Config] powerpc-smp: build in ATI and RADEON frame buffer drivers
    - LP: #949288

  [ Trond Myklebust ]

  * SAUCE: NFSv4: Ensure that the LOCK code sets exception->inode
    - LP: #974664
  * SAUCE: NFSv4: Ensure that we check lock exclusive/shared type against
    open modes
    - LP: #974664

  [ Upstream Kernel Changes ]

  * Input: psmouse - allow drivers to use psmouse_{de,}activate
    - LP: #969334
  * Input: psmouse - use psmouse_[de]activate() from sentelic and hgpk
    drivers
    - LP: #969334
  * Input: sentelic - refactor code for upcoming new hardware support
    - LP: #969334
  * Input: sentelic - enabling absolute coordinates output for newer
    hardware
    - LP: #969334
  * Input: sentelic - minor code cleanup
    - LP: #969334
  * Input: sentelic - improve packet debugging information
    - LP: #969334
  * Input: sentelic - filter taps in absolute mode
    - LP: #969334
  * drm/i915: Fixes distorted external screen image on HP 2730p
    - LP: #796030
  * NFSv4: Minor cleanups for nfs4_handle_exception and
    nfs4_async_handle_error
    - LP: #974664
  * NFSv4: Rate limit the state manager for lock reclaim warning messages
    - LP: #974664
  * HID: multitouch: merge quanta driver into hid-multitouch
    - LP: #913164
  * HID: usbhid: add quirk no_get for quanta 3008 devices
    - LP: #913164
 -- Leann Ogasawara <email address hidden> Tue, 24 Apr 2012 07:47:49 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

Tagging this bug as verified for Precise. Patch is already released with Precise, but showing up on ti-omap4 SRU report where it isn't a specific ti-omap4 change.

tags: added: verification-done-precise

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.